<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for subunit StructType
 * @subpackage Structs
 */
class Subunit extends AbstractStructBase
{
    /**
     * The index
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $index;
    /**
     * The product
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $product;
    /**
     * The beginPort
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $beginPort;
    /**
     * Constructor method for subunit
     * @uses Subunit::setIndex()
     * @uses Subunit::setProduct()
     * @uses Subunit::setBeginPort()
     * @param string $index
     * @param string $product
     * @param string $beginPort
     */
    public function __construct($index = null, $product = null, $beginPort = null)
    {
        $this
            ->setIndex($index)
            ->setProduct($product)
            ->setBeginPort($beginPort);
    }
    /**
     * Get index value
     * @return string|null
     */
    public function getIndex()
    {
        return $this->index;
    }
    /**
     * Set index value
     * @param string $index
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Subunit
     */
    public function setIndex($index = null)
    {
        $this->index = $index;
        return $this;
    }
    /**
     * Get product value
     * @return string|null
     */
    public function getProduct()
    {
        return $this->product;
    }
    /**
     * Set product value
     * @param string $product
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Subunit
     */
    public function setProduct($product = null)
    {
        $this->product = $product;
        return $this;
    }
    /**
     * Get beginPort value
     * @return string|null
     */
    public function getBeginPort()
    {
        return $this->beginPort;
    }
    /**
     * Set beginPort value
     * @param string $beginPort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Subunit
     */
    public function setBeginPort($beginPort = null)
    {
        $this->beginPort = $beginPort;
        return $this;
    }
}
